## org.apache.myfaces.application
Class ActionListenerImpl

    java.lang.Object
      org.apache.myfaces.application.ActionListenerImpl

All Implemented Interfaces:
  javax.faces.event.ActionListener, java.util.EventListener, javax.faces.event.FacesListener

public class ActionListenerImpl
extends java.lang.Object
implements javax.faces.event.ActionListener

Version:
  $Revision: 231425 $ $Date: 2005-08-11 07:49:45 -0400 (Thu, 11 Aug 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mbr $), Anton Koinov

Constructor Summary
`ActionListenerImpl()`

Method Summary
`void` `processAction(javax.faces.event.ActionEvent actionEvent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionListenerImpl

    public ActionListenerImpl()

Method Detail

### processAction

    public void processAction(javax.faces.event.ActionEvent actionEvent)
                       throws javax.faces.event.AbortProcessingException

  Specified by:
    `processAction` in interface `javax.faces.event.ActionListener`
  Throws:
    `javax.faces.event.AbortProcessingException`